# Class ResourcesLocatorManager

java.lang.Object
org.eclipse.e4.ui.css.core.util.impl.resources.ResourcesLocatorManager

All Implemented Interfaces:
  `IResourceLocator, IResourcesLocatorManager, IURIResolver`

public class ResourcesLocatorManager extends Object implements IResourcesLocatorManager
Resources locator manager implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IResourcesLocatorManager`
`INSTANCE`
ResourcesLocatorManager Singleton

## Constructor Summary

Constructors
Constructor
Description
`ResourcesLocatorManager()`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getInputStream(String uri)`
Return `InputStream` from the `uri`.
`void`
`registerResourceLocator(IResourceLocator resourceLocator)`
Register `resourceLocator`.
`String`
`resolve(String uri)`
Return the uri resolved.
`void`
`unregisterResourceLocator(IResourceLocator resourceLocator)`
Unregister `resourceLocator`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final IResourcesLocatorManager INSTANCE
ResourcesLocatorManager Singleton

## Constructor Details

### ResourcesLocatorManager

public ResourcesLocatorManager()

## Method Details

### registerResourceLocator

public void registerResourceLocator(IResourceLocator resourceLocator)
Description copied from interface: `IResourcesLocatorManager`
Register `resourceLocator`.

Specified by:
  `registerResourceLocator` in interface `IResourcesLocatorManager`

### unregisterResourceLocator

public void unregisterResourceLocator(IResourceLocator resourceLocator)
Description copied from interface: `IResourcesLocatorManager`
Unregister `resourceLocator`.

Specified by:
  `unregisterResourceLocator` in interface `IResourcesLocatorManager`

### resolve

public String resolve(String uri)
Description copied from interface: `IURIResolver`
Return the uri resolved.

Specified by:
  `resolve` in interface `IURIResolver`

### getInputStream

public InputStream getInputStream(String uri) throws Exception
Description copied from interface: `IResourceLocator`
Return `InputStream` from the `uri`.

Specified by:
  `getInputStream` in interface `IResourceLocator`
Throws:
  `Exception`